from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sheet import XSheetCellRanges

@runtime_checkable
class XSheetCellRangeContainer(XSheetCellRanges, Protocol):
    def addRangeAddress(self, aCellRangeAddress: CellRangeAddress, bMergeRanges: bool) -> None: ...
    def addRangeAddresses(self, aCellRangeAddresses: CellRangeAddress>, bMergeRanges: bool) -> None: ...
